

SET NOCOUNT ON

SELECT 
	c.CustomerID,
	c.CompanyName,
	c.ContactName,
	COUNT(o.OrderId) [OrderCount],
	c.Region,
	c.Phone,
	c.Fax
FROM
	dbo.Customers c
	INNER JOIN dbo.Orders o ON c.CustomerId = o.CustomerId
GROUP BY
	c.CustomerId, c.CompanyName, c.ContactName, c.Region, c.Phone, c.Fax
HAVING
	COUNT(o.OrderID) > 5
ORDER BY
	4 DESC
